# -*- encoding: utf-8 -*-

import simplejson
from django.test import TestCase
from django.test.client import Client
from django.core.urlresolvers import reverse
from django.db import models
import settings

class VersionsTest(TestCase):

    def setUp(self):
        self.client = Client()
        
    def tearDown(self,):
        pass

    def test_page_version_existence(self):
        url = reverse('agent-versions')
        response = self.client.get(url)
        self.assertEqual(response.status_code, 403)

    def test_token_protection(self):
        url = reverse('agent-versions')
        response = self.client.post(url, {'token' : 'wrong_token'})
        self.assertEqual(response.status_code, 403)

    def test_token_granted(self):
        settings.VERSIONS_TOKEN = 'valid_token'
        url = reverse('agent-versions')
        response = self.client.post(url, {'token' : 'valid_token'})
        self.assertEqual(response.status_code, 200)
        dict_versions = simplejson.loads(response.content)
        self.assertEqual('auf.django.xversion' in dict_versions.keys(), True)
