# -*- encoding: utf-8 -*-

from django.core.management.base import BaseCommand, CommandError
from auf.django.xversion.monitor.models import *

cols = 80

class Command(BaseCommand):
    help = 'Versions comparison tool'

    def handle(self, *args, **options):
        for site in MonitoredSite.objects.all():
            self.stdout.write("\n")
            self.stdout.write("-"*cols)
            self.stdout.write("\n")
            title = "%s : %s" % (site.name, site.url)
            title = title.ljust(cols - 4)
            self.stdout.write("| %s |\n" % title)
            self.stdout.write("-"*cols)
            self.stdout.write("\n")
            for pkg, versions in site.check_packages_versions().items():
                line = "%s : %s" % (pkg, versions[0])
                line = line.ljust(cols - 4)
                self.stdout.write("| %s |\n" % line)
            self.stdout.write("-"*cols)
            self.stdout.write("\n")
